| All Verbs | /RestApi/search/suggestions | ||
|---|---|---|---|
| GET | /RestApi/search/suggestions |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| IndexName | query | string | No | |
| SuggestionFields | query | string | No | |
| Text | query | string | No | |
| Language | query | string | No | |
| SiteId | query | string | No | |
| ScoringInfo | query | string | No | |
| ResultsForAllSites | query | bool? | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Suggestions | form | string[] | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/search/suggestions HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"IndexName":"String","SuggestionFields":"String","Text":"String","Language":"String","SiteId":"String","ScoringInfo":"String","ResultsForAllSites":false}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"Suggestions":["String"]}